<?php

require_once(SYSTEM_LOGICS . 'account_transactions/model.php');

class LogicAccountTransactions extends ModelAccountTransactions {
    
    public function __construct(){
        parent::__construct();
    }
    
    public function logic(){
        $this -> init();
        $this -> list();
    }
    
    private function list(){
        $this -> setCurrencies($this -> accessSelect('LIST_MST_CURRENCY_ACTIVE', array()));
        
        $where = $this -> getWhere();
                
        $this -> setCurrencyTxnCounter($this -> accessSelect('LIST_USER_TRANSACTION_ADMIN_COUNT_REVISED', $where)); 
    }
}